/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */


package org.apache.felix.scr.integration.components.circular;

import java.util.ArrayList;
import java.util.List;

import org.osgi.service.component.ComponentContext;

/**
 * @version $Rev: 1424301 $ $Date: 2012-12-19 22:52:01 -0600 (Wed, 19 Dec 2012) $
 */
public class B
{

    private List<A> as = new ArrayList<A>();

    private boolean activated;

    private void activate(ComponentContext cc)
    {
        activated = true;
    }

    private void setA(A a)
    {
        as.add( a );
    }

    private void unsetA(A a)
    {
        as.remove( a );
    }

    public List<A> getAs()
    {
        return as;
    }

}
